import { AjvErrorObject } from "./ajv";
export declare enum JsonErrorType {
    Schema = "schema",
    Parse = "parse"
}
/**
 * Improve the error message of a JSON schema error
 */
export interface ImproveSchemaError extends AjvErrorObject {
    type: JsonErrorType.Schema;
}
/**
 * Execute JSON schema validation (ajv)
 */
interface ImproveParseError {
    line?: number;
    type: JsonErrorType.Parse;
    message: string;
}
/**
 * Execute JSON validation
 */
interface ValidateJsonArgs {
    jsonString: string;
    schema?: Record<string, unknown>;
}
export declare type ValidationJson = (ImproveSchemaError | ImproveParseError)[] | undefined;
export declare const validateJson: ({ jsonString, schema }: ValidateJsonArgs) => ValidationJson;
export {};
